Menu icon Foundation
foundation upgrade

So, I ran foundation upgrade and it asked me whether I wanted to upgrade to 5.0.2 or 5.3.0. I tried upgrading to 5.3 to see what it was all about and my site has not been the same since. Specifically, the top-bar no longer works and the "hamburger" is out of alignment.

Originally, the hamburger was actually doubled up. But looking around, I decided to just move my scss files out of the way and reinstall. After that, I still have the problem of offsetting.

Here's what I'm not understanding: after I've killed the files and rebuilt, shouldn't I have gone back to the 5.0 branch, or is that the gem I installed. I tried checking versions, but gem list --local gives me the following:
*** LOCAL GEMS ***

chunky_png (1.2.9)
compass (0.12.2)
foundation (1.0.4)
fssm (0.2.10)
sass (3.2.12)
thor (0.18.1)

Foundation 1.0.4??

Can someone help me out, here? I just want to get my site back where it used to be. I'd be happy to upgrade to 5.3 if I thought it would work, but I just need a stable version that works.

5.3upgrade

So, I ran foundation upgrade and it asked me whether I wanted to upgrade to 5.0.2 or 5.3.0. I tried upgrading to 5.3 to see what it was all about and my site has not been the same since. Specifically, the top-bar no longer works and the "hamburger" is out of alignment.

Originally, the hamburger was actually doubled up. But looking around, I decided to just move my scss files out of the way and reinstall. After that, I still have the problem of offsetting.

Here's what I'm not understanding: after I've killed the files and rebuilt, shouldn't I have gone back to the 5.0 branch, or is that the gem I installed. I tried checking versions, but gem list --local gives me the following:
*** LOCAL GEMS ***

chunky_png (1.2.9)
compass (0.12.2)
foundation (1.0.4)
fssm (0.2.10)
sass (3.2.12)
thor (0.18.1)

Foundation 1.0.4??

Can someone help me out, here? I just want to get my site back where it used to be. I'd be happy to upgrade to 5.3 if I thought it would work, but I just need a stable version that works.

Rafi Benkual over 5 years ago

Foundation 1.0.4 is the CLI version.

How did you update?

Make sure your bower.json file says this http://zurb.us/1kl96mM (5.3.0 is the latest btw)

To update, cd into the project folder in the terminal.

Then in terminal run bower update

to know you have 5.3.0 you look here http://zurb.us/1klal5c

Happy coding!

Tom Belknap over 5 years ago

What I did was "foundation upgrade" from the shell. What is the difference? And where is any of this documented?

Tom Belknap over 5 years ago

Ok, having done everything that you've told me to do, and running the bower update, I still end up with the same problem. The top-nav does not work at all, and I get the offset "hamburger" problem again:
http://www.clipular.com/posts/6687592233828352?k=5UFXdl7DR12jp3tWxCrGktMhkH8